<template>
  <q-layout view="hHh lpR fFf">
    <q-header elevated>
      <div class="row">
        <div>
          <q-toolbar>
            <q-btn
              flat
              dense
              round
              icon="menu"
              aria-label="Menu"
              @click="leftDrawerOpen = !leftDrawerOpen"
            />

            <q-toolbar-title>
              User Management
            </q-toolbar-title>
          </q-toolbar>
        </div>
        <q-space />
        <div class="q-mt-md on-left" @click="logout">
          Logout
        </div>
      </div>
    </q-header>

    <!--  <q-footer elevated>
      <q-toolbar>
        <q-toolbar-title>Footer</q-toolbar-title>
      </q-toolbar>
    </q-footer> -->

    <q-drawer
      v-model="leftDrawerOpen"
      show-if-above
      bordered
      content-class="bg-grey-1"
      :width="250"
    >
      <q-list>
        <q-item-label header class="text-grey-8">
          Navigation
        </q-item-label>
        <EssentialLink />
      </q-list>
    </q-drawer>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script>
import EssentialLink from "components/EssentialLink.vue";

export default {
  name: "MainLayout",
  components: { EssentialLink },
  data() {
    return {
      leftDrawerOpen: false,
    };
  },
  methods: {
    logout() {
      this.$axios.delete(this.host + "/src/php/actions/logout.php", {
        withCredentials: true,
        // xsrfCookieName: "access_token",
      });
      this.$router.push({ path: "/" });
    },
  },
};
</script>
